## org.apache.commons.collections.bidimap
Class DualTreeBidiMap.ViewMap

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.map.AbstractSortedMapDecorator
              org.apache.commons.collections.bidimap.DualTreeBidiMap.ViewMap

All Implemented Interfaces:
  java.util.Map, java.util.SortedMap

Enclosing class:
  DualTreeBidiMap

    protected static class DualTreeBidiMap.ViewMap

extends AbstractSortedMapDecorator

Internal sorted map view.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`protected` `DualTreeBidiMap.ViewMap(DualTreeBidiMap bidi, java.util.SortedMap sm)` Constructor.

Method Summary
`void` `clear()`
`boolean` `containsValue(java.lang.Object value)`
`java.util.SortedMap` `headMap(java.lang.Object toKey)`
`java.util.SortedMap` `subMap(java.lang.Object fromKey, java.lang.Object toKey)`
`java.util.SortedMap` `tailMap(java.lang.Object fromKey)`

Methods inherited from class org.apache.commons.collections.map.AbstractSortedMapDecorator
`comparator, firstKey, getSortedMap, lastKey`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, entrySet, equals, get, getMap, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### DualTreeBidiMap.ViewMap

    protected DualTreeBidiMap.ViewMap(DualTreeBidiMap bidi,
                                      java.util.SortedMap sm)

  Constructor.

  Parameters:
    `bidi` - the parent bidi map
    `sm` - the subMap sorted map

Method Detail

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`
  Overrides:
    `containsValue` in class `AbstractMapDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### headMap

    public java.util.SortedMap headMap(java.lang.Object toKey)

  Specified by:
    `headMap` in interface `java.util.SortedMap`
  Overrides:
    `headMap` in class `AbstractSortedMapDecorator`

### tailMap

    public java.util.SortedMap tailMap(java.lang.Object fromKey)

  Specified by:
    `tailMap` in interface `java.util.SortedMap`
  Overrides:
    `tailMap` in class `AbstractSortedMapDecorator`

### subMap

    public java.util.SortedMap subMap(java.lang.Object fromKey,
                                      java.lang.Object toKey)

  Specified by:
    `subMap` in interface `java.util.SortedMap`
  Overrides:
    `subMap` in class `AbstractSortedMapDecorator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.